<h1 align="center">
  <a href="ToDo App"><img src="prime-to-do-app.firebaseapp.com" alt=""></a>
<a href="https://mym.io">To-Do App</a>
</h1>

<h4 align="center">An easy to-do app</h4>

<br>


**To-Do App** a simple and effortless to-do app .

### Features
- **Use [React](https://reactjs.org) as JavaScript library for building user interfaces**
- **Use [Redux](https://redux.js.org/) A predictable state container for JavaScript apps.**
- **Use [fireabse](https://firebase.google.com/docs/hosting/deploying), a fast, secure, and reliable way to host your app's static assets such as HTML, CSS, JavaScript, and media files.**


### Usage

First you can clone the project by clickyng this link [to-do](https://git.prime.cv/helder.andrade/To-Do.git):

### `npm i` or `yarn`

Install or update all package dependencies.

### `npm start` or `yarn start`

Runs the app in development mode.<br>
Open [http://localhost:3000](http://localhost:3000) to view it in the browser.

The page will automatically reload if you make changes to the code.<br>
You will see the build errors and lint warnings in the console.

<div align="center">
  <img src='https://cdn.rawgit.com/marionebl/create-react-app/9f62826/screencast-error.svg' width='800' alt='Build errors'>
</div>

otherwise this is the main page:

<div align="center">
  <img src='./public/img/to-do.png' width='800' alt='Build errors'>
</div>

### `npm test` or `yarn test`

Runs the test watcher in an interactive mode.<br>
By default, runs tests related to files changed since the last commit.

[Read more about testing.](https://github.com/facebook/create-react-app/blob/master/packages/react-scripts/template/README.md#running-tests)

### `npm run build` or `yarn build`

Builds the app for production to the `build` folder.<br>
It correctly bundles React in production mode and optimizes the build for the best performance.

The build is minified and the filenames include the hashes.<br>
By default, it also [includes a service worker](https://github.com/facebook/create-react-app/blob/master/packages/react-scripts/template/README.md#making-a-progressive-web-app) so that your app loads from local cache on future visits.

Your app is ready to be deployed.

### `npm run deploy` or `yarn deploy`
Deploy the app, executing firebase deploy command with the default project from the [.firebaserc](.firebaserc) file, hosting the app in the firebase hosting service, and returns the result, as an error or the hosted url.


### License

[MIT. Copyright (c) 2018 Gpredator](LICENSE).

### Changelogs
[changelogs for this project](CHANGELOG.md)